# muntadas-protocols

muntadas-protocols powered by grav in docker environement (nginx, php:7.3-fpm)

## Install docker
```
sudo pacman -S docker docker-compose docker-machine
```

## Clone this repos

this will clone this repos (main docker environement) and the grav source code

```
git clone --recursive -o figureslibres.io https://figureslibres.io/gogs/bachir/docker-muntadas-protocols.git
```

## Hosts and reverse proxy

add to your /etc/hosts :
```
127.0.0.1	dev.muntadas-protocols.figli.io
```
configure your apache/nginx vhosts to add a reverse proxy that will redirect the dev.materio.com to our container

```apache
<Virtualhost *:80>
   ServerName dev.muntadas-protocols.figli.io
   ProxyPass / http://127.0.0.1:8882/
   ProxyPassReverse / http://127.0.0.1:8882/
   ProxyRequests Off
</Virtualhost>
```

```nginx
server {
  listen 80;
  server_name dev.muntadas-protocols.figli.io;
  location / {
    proxy_pass http://127.0.0.1:8882;
    proxy_set_header Host $host;
    proxy_set_header X-Real-IP $remote_addr;
    proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    proxy_set_header X-Forwarded-Proto $scheme;
    proxy_buffer_size          128k;
    proxy_buffers              4 256k;
    proxy_busy_buffers_size    256k;
  }
}
```

## Docker

### start daemon
launch the docker daemon
```
sudo systemctl start docker
```
### build
only before the first run (may take some time)
```
make build
```
### run
then each time you want to launch the app
```
make up
```
### loging in
```
make exec_php
```

### fixing permissions
run the fixeperms.sh script from the php container
```
make exec_php
chmod +x fixperms.sh
./fixeperms.sh
```

## Visualize
You can now visit http://dev.muntadas-protocols.figli.io or simply http://localhost:8882 on your browser

## online
https://muntadas-protocols.figli.io
